Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.mro
Class Clusterer

    java.lang.Object
      infomat.mro.Clusterer

All Implemented Interfaces:
  HasProperties

    public class Clusterer

extends java.lang.Object
implements HasProperties

NOT WORKING IN VERSION 080828 Class for running clustering tasks without the GUI.
`java -cp .:classes/ -Xms3024m -Xmx3024m infomat.Clusterer`

Field Summary
`private IObjectGrouping` | `categorization`
`private static java.lang.String` | `engStoplistFileName`
`private IMatrix` | `matrix`
`private Properties` | `properties`
`private static java.lang.String` | `sweStoplistFileName`

Constructor Summary
`Clusterer()`

Method Summary
`private void` | `badInput(java.lang.String comment)`
`private void` | `calculateAndSaveEvaluation(Evaluation eval, java.lang.String resFileName)`
`private void` | `checkInput(java.lang.String[] args)`
`private void` | `cluster(java.lang.String resultPath)`
`void` | `doIt(java.lang.String[] args)`
`private void` | `filter()`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`static void` | `main(java.lang.String[] args)`
`private void` | `readFiles()`
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`private void` | `stoplist()`
`private void` | `weight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sweStoplistFileName

    private static java.lang.String sweStoplistFileName

### engStoplistFileName

    private static java.lang.String engStoplistFileName

### properties

    private Properties properties

### matrix

    private IMatrix matrix

### categorization

    private IObjectGrouping categorization

Constructor Detail

### Clusterer

    public Clusterer()

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `PropertyNotFoundException`

### doIt

    public void doIt(java.lang.String[] args)
              throws java.io.IOException,
                     PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `PropertyNotFoundException`

### cluster

    private void cluster(java.lang.String resultPath)

### calculateAndSaveEvaluation

    private void calculateAndSaveEvaluation(Evaluation eval,
                                            java.lang.String resFileName)

### badInput

    private void badInput(java.lang.String comment)

### checkInput

    private void checkInput(java.lang.String[] args)
                     throws java.io.IOException,
                            PropertyNotFoundException

  Throws:
    `java.io.IOException`
    `PropertyNotFoundException`

### readFiles

    private void readFiles()

### stoplist

    private void stoplist()

### filter

    private void filter()

### weight

    private void weight()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD